=== debian/changelog ===
postgresql-9.1 (9.1.24-8.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Moving lib packages to component 9.1.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 05 Feb 2021 12:54:40 +0100

postgresql-9.1 (9.1.24-8) unstable; urgency=medium

  * R³: no.
  * run-testsuite: Test only this version.

 -- Christoph Berg <myon@debian.org>  Fri, 05 Feb 2021 12:54:40 +0100

postgresql-9.1 (9.1.24-7) unstable; urgency=medium

  * plpython3: Allow both old and new version in subtransaction test.
    In test_param_names2, only test length of result as json field ordering is
    random in output on older python3 versions. Disable plpython_trigger test.

 -- Christoph Berg <myon@debian.org>  Thu, 23 Apr 2020 09:42:09 +0200

postgresql-9.1 (9.1.24-6) unstable; urgency=medium

  * Disable building plpython2 by default. (Closes: #937310)
  * Catch python3 output variation in
    src/pl/plpython/expected/plpython_*.out.
  * debian/tests: Also run regression tests.
  * Remove obsolete Conflicts/Replaces.
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <myon@debian.org>  Wed, 09 Oct 2019 15:29:56 +0200

postgresql-9.1 (9.1.24-5) sid-pgdg; urgency=medium

  * Disable ssl; package supports OpenSSL 1.0 only which got removed from
    unstable.
  * Remove code to exclude building library packages.

 -- Christoph Berg <myon@debian.org>  Mon, 04 Mar 2019 09:26:42 +0100

postgresql-9.1 (9.1.24-4) sid-pgdg; urgency=medium

  * Drop explicit xz compression for .debs.
  * Depend on locales | locales-all. Suggested by Elrond, thanks!
    (Closes: #916655)
  * Build-Depend on tcl-dev instead of on a specific version.
  * initdb doesn't like LANG and LC_ALL to contradict, unset LANG and
    LC_CTYPE at test time. (Closes: #917764)

 -- Christoph Berg <myon@debian.org>  Sat, 02 Feb 2019 15:21:08 +0100

postgresql-9.1 (9.1.24-3) sid-pgdg; urgency=medium

  * Remove empty conf.d directory on purge, even when postgresql-common
    was already removed. (Closes: #877264)
  * Drop support for tcl8.5.
  * Refactor testsuite failure handling.
  * Use dh_auto_configure to correctly seed the build architecture.
  * Enable dtrace support.
  * psql uses sensible-editor, depend on sensible-utils.
  * Add lintian overrides for plugins that link no external libraries.
  * configure: Hard-code paths to /bin/mkdir -p and /bin/tar.

 -- Christoph Berg <myon@debian.org>  Thu, 01 Nov 2018 10:05:19 +0100

postgresql-9.1 (9.1.24-2) sid-pgdg; urgency=medium

  * Update watch file to use https.
  * Add missing perl test dependency (for Test::More).
  * Install NEWS in postgresql-9.1 only.
  * Remove hardening-wrapper logic, it's being removed from sid.
  * debian/control: Add alternative dependency on libssl1.0-dev.
  * libpq-dev: Remove dependency on libssl-dev (and comerr-dev and
    libkrb5-dev) to unbreak co-installation with libssl1.0-dev.
  * Cherry-pick 52f6b2e5 from 9.2 to support newer IANA timezone databases.

 -- Christoph Berg <myon@debian.org>  Sat, 23 Sep 2017 20:14:17 +0200

postgresql-9.1 (9.1.24-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 25 Oct 2016 16:31:29 +0200

postgresql-9.1 (9.1.23-1) unstable; urgency=medium

  * New upstream version.

    + Fix possible mis-evaluation of nested CASE-WHEN expressions
      (Heikki Linnakangas, Michael Paquier, Tom Lane)

      A CASE expression appearing within the test value subexpression of
      another CASE could become confused about whether its own test value was
      null or not.  Also, inlining of a SQL function implementing the equality
      operator used by a CASE expression could result in passing the wrong
      test value to functions called within a CASE expression in the SQL
      function's body.  If the test values were of different data types, a
      crash might result; moreover such situations could be abused to allow
      disclosure of portions of server memory.  (CVE-2016-5423)

    + Fix client programs' handling of special characters in database and role
      names (Noah Misch, Nathan Bossart, Michael Paquier)

      Numerous places in vacuumdb and other client programs could become
      confused by database and role names containing double quotes or
      backslashes.  Tighten up quoting rules to make that safe. Also, ensure
      that when a conninfo string is used as a database name parameter to
      these programs, it is correctly treated as such throughout.

      Fix handling of paired double quotes in psql's \connect and \password
      commands to match the documentation.

      Introduce a new -reuse-previous option in psql's \connect command to
      allow explicit control of whether to re-use connection parameters from a
      previous connection.  (Without this, the choice is based on whether the
      database name looks like a conninfo string, as before.)  This allows
      secure handling of database names containing special characters in
      pg_dumpall scripts.

      pg_dumpall now refuses to deal with database and role names containing
      carriage returns or newlines, as it seems impractical to quote those
      characters safely on Windows.  In future we may reject such names on the
      server side, but that step has not been taken yet.

      These are considered security fixes because crafted object names
      containing special characters could have been used to execute commands
      with superuser privileges the next time a superuser executes pg_dumpall
      or other routine maintenance operations.  (CVE-2016-5424)

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 09 Aug 2016 17:43:47 +0200

postgresql-9.1 (9.1.22-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 10 May 2016 10:16:55 +0200

postgresql-9.1 (9.1.21-1) unstable; urgency=medium

  * New upstream version.

