## postgresql-9.1 9.1.24lts2

=== debian/changelog ===
postgresql-9.1 (9.1.24lts2-0+deb7u3) wheezy-security; urgency=high

  * Non-maintainer upload by the ELTS team.
  * CVE-2018-10915: Andrew Krasichkov discovered that an unprivileged user of
    dblink or postgres_fdw could bypass the checks intended to prevent use of
    server-side credentials, such as a ~/.pgpass file owned by the
    operating-system user running the server. Servers allowing peer
    authentication on local connections are particularly vulnerable. Other
    attacks such as SQL injection into a postgres_fdw session are also
    possible. Attacking postgres_fdw in this way requires the ability to create
    a foreign server object with selected connection parameters, but any user
    with access to dblink could exploit the problem. In general, an attacker
    with the ability to select the connection parameters for a libpq-using
    application could cause mischief, though other plausible attack scenarios
    are harder to think of.

 -- Markus Koschany <apo@debian.org>  Sun, 26 Aug 2018 17:03:38 +0200

postgresql-9.1 (9.1.24lts2-0+deb7u2) wheezy-security; urgency=medium

  * CVE-2018-1053: Ensure that all temp files made during pg_upgrade are
    non-world-readable.
  * Install NEWS in postgresql-9.1 only.
  * Add testsuite patch to paper over timezone changes since tzdata 2016d-0+deb7u1.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 07 Feb 2018 16:04:12 +0100

postgresql-9.1 (9.1.24lts2-0+deb7u1) wheezy-security; urgency=medium

  * New upstream security release.

    + Further restrict visibility of pg_user_mappings.umoptions, to protect
      passwords stored as user mapping options. See the release notes for
      instructions for applying the fix to existing database clusters.
      (CVE-2017-7547; extends fix for CVE-2017-7486)
    + Disallow empty passwords in all password-based authentication methods.
      (CVE-2017-7546)

 -- Michael Banck <michael.banck@credativ.de>  Thu, 10 Aug 2017 16:55:52 -0400

postgresql-9.1 (9.1.24lts1-0+deb7u1) wheezy-security; urgency=medium

  * New upstream security release.

    + Restrict visibility of pg_user_mappings.umoptions, to protect passwords
      stored as user mapping options CVE-2017-7486)

 -- Michael Banck <michael.banck@credativ.de>  Wed, 09 Aug 2017 18:03:32 -0400

postgresql-9.1 (9.1.24-0+deb7u1) wheezy-security; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 25 Oct 2016 16:31:29 +0200

postgresql-9.1 (9.1.23-0+deb7u1) wheezy-security; urgency=medium

  * New upstream security release.

    + Fix possible mis-evaluation of nested CASE-WHEN expressions
      (Heikki Linnakangas, Michael Paquier, Tom Lane)

      A CASE expression appearing within the test value subexpression of
      another CASE could become confused about whether its own test value was
      null or not.  Also, inlining of a SQL function implementing the equality
      operator used by a CASE expression could result in passing the wrong
      test value to functions called within a CASE expression in the SQL
      function's body.  If the test values were of different data types, a
      crash might result; moreover such situations could be abused to allow
      disclosure of portions of server memory.  (CVE-2016-5423)

    + Fix client programs' handling of special characters in database and role
      names (Noah Misch, Nathan Bossart, Michael Paquier)

      Numerous places in vacuumdb and other client programs could become
      confused by database and role names containing double quotes or
      backslashes.  Tighten up quoting rules to make that safe. Also, ensure
      that when a conninfo string is used as a database name parameter to
      these programs, it is correctly treated as such throughout.

      Fix handling of paired double quotes in psql's \connect and \password
      commands to match the documentation.

      Introduce a new -reuse-previous option in psql's \connect command to
      allow explicit control of whether to re-use connection parameters from a
      previous connection.  (Without this, the choice is based on whether the
      database name looks like a conninfo string, as before.)  This allows
      secure handling of database names containing special characters in
      pg_dumpall scripts.

      pg_dumpall now refuses to deal with database and role names containing
      carriage returns or newlines, as it seems impractical to quote those
      characters safely on Windows.  In future we may reject such names on the
      server side, but that step has not been taken yet.

      These are considered security fixes because crafted object names
      containing special characters could have been used to execute commands
      with superuser privileges the next time a superuser executes pg_dumpall
      or other routine maintenance operations.  (CVE-2016-5424)

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 10 Aug 2016 13:52:25 +0200

postgresql-9.1 (9.1.22-0+deb7u1) wheezy-security; urgency=medium

  * New upstream bugfix release.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 27 May 2016 14:36:18 +0200
